import { ComponentFixture, TestBed } from '@angular/core/testing';

// A classe importada deve ser o nome real do componente exportado
import { FeatureCardComponent } from './feature-card'; 

describe('FeatureCardComponent', () => {
  // A variável do componente deve usar o nome correto
  let component: FeatureCardComponent;
  let fixture: ComponentFixture<FeatureCardComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      // Importe o componente pelo nome correto
      imports: [FeatureCardComponent] 
    })
    .compileComponents();

    // Crie o componente pelo nome correto
    fixture = TestBed.createComponent(FeatureCardComponent); 
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});